Skip to main content
POST
/
v1
/
invoices
/
{id}
/
confirm
Confirm invoice upload to S3
curl --request POST \
  --url https://api.example.com/v1/invoices/{id}/confirm
{
  "clientId": "<string>",
  "confirmedAt": "2023-11-07T05:31:56Z",
  "fileHash": "<string>",
  "fileName": "<string>",
  "fileSize": 123,
  "id": "<string>",
  "mimeType": "<string>",
  "uploadedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

Invoice UUID

Response

clientId
string
required
confirmedAt
string<date-time> | null
required
fileHash
string | null
required

sha256 of the uploaded bytes; null until confirmed

fileName
string
required
fileSize
number
required
id
string
required
mimeType
string
required
status
enum<string>
required
Available options:
pending_upload,
uploaded,
failed
uploadedAt
string<date-time>
required